2017-07-26 00:35 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003134Kali Linux[All Projects] Kali Package Improvementpublic2017-07-13 13:37
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.2 
Summary0003134: GNOME QuickLaunch Bar - Metasploit-Framework & Armitage Icons - Auto start postgresql
DescriptionWhen you click on the icons on the left hand side (Using GNOME).
Could it auto run 'msfdb start' before starting up the programs?
Attached Files

-Relationships
+Relationships

-Notes

~0005513

g0tmi1k (administrator)

Armitage will auto start up Metasploit's RPC service, but it still needs "msfdb init" to be executed first. PostgreSQL will start up when needed.

The metasploit-framework icon, DOES start up, as well as PostgreSQL.
No action here is needed.


Only Armitage now needs to be tweaked =).

~0005539

inanonymous (reporter)

Last edited: 2016-07-13 06:20

View 2 revisions

Desde la actualización 4.12.11 Metasploit tira errores al usar msfvenom. Desinstalé y volvi a instalar y el error persiste. Actualizé a 4.12.12 y sigue igual. Y no es problema de Kali ya que en Wifislax hace lo mismo. Ambos OS están instalados en HDD. Me pueden ayudar? Muchas Gracias...

~0006844

g0tmi1k (administrator)

root@kali:~# cat /usr/share/kali-menu/applications/kali-msfconsole.desktop
[Desktop Entry]
Name=metasploit framework
Encoding=UTF-8
Exec=sh -c "service postgresql start && msfdb init && msfconsole;${SHELL:-bash}"
Icon=kali-metasploit.png
StartupNotify=false
Terminal=true
Type=Application
Categories=08-exploitation-tools;
X-Kali-Package=metasploit-framework
root@kali:~#
root@kali:~# cat /usr/share/kali-menu/applications/kali-armitage.desktop
[Desktop Entry]
Name=armitage
Encoding=UTF-8
Exec=sh -c "armitage;${SHELL:-bash}"
Icon=kali-armitage.png
StartupNotify=false
Terminal=false
Type=Application
Categories=08-exploitation-tools;
X-Kali-Package=armitage
root@kali:~#

~0006899

sbrun (manager)

fixed in new version 2017.2.1 of kali-menu
+Notes

-Issue History
Date Modified Username Field Change
2016-03-10 15:39 g0tmi1k New Issue
2016-07-11 12:47 g0tmi1k Note Added: 0005513
2016-07-12 21:32 rhertzog View Status private => public
2016-07-13 06:19 inanonymous Note Added: 0005539
2016-07-13 06:20 inanonymous Note Edited: 0005539 View Revisions
2016-07-13 06:43 inanonymous File Added: Captura de pantalla de 2016-07-13 03-42-05.png
2017-06-22 14:14 g0tmi1k Note Added: 0006844
2017-06-22 14:14 g0tmi1k Assigned To => g0tmi1k
2017-06-22 14:14 g0tmi1k Status new => assigned
2017-06-22 14:14 g0tmi1k Assigned To g0tmi1k => sbrun
2017-07-13 13:37 sbrun Status assigned => resolved
2017-07-13 13:37 sbrun Resolution open => fixed
2017-07-13 13:37 sbrun Fixed in Version => 2017.2
2017-07-13 13:37 sbrun Note Added: 0006899
+Issue History